Package org.codehaus.groovy.vmplugin

# Class VMPluginFactory

java.lang.Object
org.codehaus.groovy.vmplugin.VMPluginFactory

public class VMPluginFactory extends Object
Factory class to get functionality based on the VM version. The usage of this class is not for public use, only for the runtime.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VMPluginFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VMPlugin`
  `getPlugin()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VMPluginFactory

    public VMPluginFactory()

- ## Method Details

  - ### getPlugin

    public static VMPlugin getPlugin()